name: utils
services:
  cyberchef:
    ports:
      - 8383:80
    image: ghcr.io/gchq/cyberchef:latest
    restart: unless-stopped
    container_name: cyberchef

  stirling-pdf:
    image: stirlingtools/stirling-pdf:latest
    container_name: stirling-pdf
    ports:
      - '8585:8080'
    volumes:
      - /home/ccalifice/docker-data/utils/stirling-data/tessdata:/usr/share/tessdata  # OCR language files
      - /home/ccalifice/docker-data/utils/stirling-data/configs:/configs               # Settings & database
      - /home/ccalifice/docker-data/utils/stirling-data/logs:/logs                     # Application logs
      - /home/ccalifice/docker-data/utils/stirling-data/pipeline:/pipeline             # Automation configs
    environment:
      - SECURITY_ENABLELOGIN=false    # Set true to enable user authentication
      - LANGS=en_GB,pt_BR                   # Interface language
    restart: unless-stopped

  wallos:
    container_name: wallos
    image: bellamy/wallos:latest
    ports:
      - "8484:80/tcp"
    environment:
      TZ: 'America/Sao_Paulo'
    # Volumes store your data between container upgrades
    volumes:
      - '/home/ccalifice/docker-data/utils/wallos/db:/var/www/html/db'
      - '/home/ccalifice/docker-data/utils/wallos/logos:/var/www/html/images/uploads/logos'
    restart: unless-stopped